package com.cloudcross.ssp.back.model;

import java.util.Date;

/**
 * 对应数据库的t_rpt_zone表
 * @author chenyou
 *
 */
public class RptZone {
	//主键
	private Long id;
	//运营商id
	private Long operatorId;
	//日期
	private Date date;
	//小时
	private Integer hour;
	//广告位id
	private Long zoneId;
	//pv
	private Long pv;
	//uv
	private Long uv;
	//曝光数
	private Long impression;
	//唯一曝光数
	private Long uImpression;
	//点击数
	private Long click;
	//唯一点击数
	private Long uClick;
	//ecpm
	private Float ecpm;
	//收入
	private Long income;
	
	public Long getuImpression() {
		return uImpression;
	}
	public void setuImpression(Long uImpression) {
		this.uImpression = uImpression;
	}
	public Long getuClick() {
		return uClick;
	}
	public void setuClick(Long uClick) {
		this.uClick = uClick;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}
	public Date getDate() {
		return date;
	}
	public void setDate(Date date) {
		this.date = date;
	}
	public Integer getHour() {
		return hour;
	}
	public void setHour(Integer hour) {
		this.hour = hour;
	}
	public Long getZoneId() {
		return zoneId;
	}
	public void setZoneId(Long zoneId) {
		this.zoneId = zoneId;
	}
	public Long getPv() {
		return pv;
	}
	public void setPv(Long pv) {
		this.pv = pv;
	}
	public Long getUv() {
		return uv;
	}
	public void setUv(Long uv) {
		this.uv = uv;
	}
	public Long getImpression() {
		return impression;
	}
	public void setImpression(Long impression) {
		this.impression = impression;
	}
	public Long getClick() {
		return click;
	}
	public void setClick(Long click) {
		this.click = click;
	}
	public Float getEcpm() {
		return ecpm;
	}
	public void setEcpm(Float ecpm) {
		this.ecpm = ecpm;
	}
	public Long getIncome() {
		return income;
	}
	public void setIncome(Long income) {
		this.income = income;
	}
	
	@Override
	public String toString() {
		return "RptZone [id=" + id + ", operatorId=" + operatorId + ", date="
				+ date + ", hour=" + hour + ", zoneId=" + zoneId + ", pv=" + pv
				+ ", uv=" + uv + ", impression=" + impression
				+ ", uImpression=" + uImpression + ", click=" + click
				+ ", uClick=" + uClick + ", ecpm=" + ecpm + ", income="
				+ income + "]";
	}
	
	
	
	
}
